using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows;

namespace YoseenDemoWpf
{
    class App : Application
    {
        static App _instance;
        public static App Instance
        {
            get
            {
                if (_instance == null)
                {
                    _instance = new App();
                }
                return App._instance;
            }
        }

        private App()
        {
            this.ShutdownMode = ShutdownMode.OnMainWindowClose;
            this.Exit += App_Exit;
        }

        void App_Exit(object sender, ExitEventArgs e)
        {
        }

        public void DoMain()
        {
            ShellView view = new ShellView();
            this.Run(view);
        }

    }
}
